=== debian/changelog ===
cfitsio (3.370-5) unstable; urgency=medium

  * Don't run the testsuite for the indep target. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 14:32:24 +0200

cfitsio (3.370-4) unstable; urgency=medium

  * Add patches/09-memcpy-overlap.diff to use memmove instead of memcpy
    where memory area might overlaps (closes: #800819).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 11:24:22 +0200

cfitsio (3.370-3) unstable; urgency=medium

  * Remove the libcfitsio3-doc transitional package.
  * Add the upstream homepage in debian/control.
  * Upgrade Standard-Version to 3.9.6 (no changes).
  * Build and install imcopy in libcfitsio-bin (closes: #793851).
  * Add a manpage for imcopy, provided by Ole Streicher.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Apr 2015 21:27:54 +0200

cfitsio (3.370-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix shared library detection for hurd.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Sep 2014 23:10:09 +0200

cfitsio (3.370-1) experimental; urgency=low

  * New upstream version:
    - Upstream is finally properly versioning the library name, and ensure the
      soname will change if the ABI changes. This will make the maintenance
      easier in Debian. Unfortunately it means for now that the library package
      name has to be changed. Take advantage of that to rename all packages:
      - cfitsio3 (source) -> cfitsio
      - libcfitsio3 -> libcfitsio2
      - libcfitsio3-dbg -> libcfitsio2-dbg
      - libcfitsio3-dev -> libcfitsio-dev
      - libcfitsio3-doc -> libcfitsio-doc
    - Add libcfitsio3-dev and libcfitsio3-doc transitional packages.
    - Add a build-depency on libbz2-dev to enable new bzip2 support.
    - Refresh all patches and drop ones merged upstream
  * Run testprog as a testsuite if DEB_BUILD_OPTIONS does not contain
    "nocheck".
  * Add a libcfitsio-bin package with the fitscopy, fpack and funpack
    binaries.  Closes: #726706.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 21:13:47 +0200

cfitsio3 (3.340-3) unstable; urgency=medium

  * Rewrite debian/rules using dh and use dh-autoreconf.
  * Upgrade Standard-Version to 3.9.5 (no changes).
  * Move examples from libcfitsio3-dev to libcfitsio3-doc. Mark
    libcfitsio3-dev as Multi-Arch: same.
  * Backport arm64 support from upstream.  Closes: #733753.
  * Backport ppc64el support from upstream.  Closes: #733649.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 20:33:58 +0200

cfitsio3 (3.340-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 21:55:04 +0200

cfitsio3 (3.340-1) experimental; urgency=low

  * New upstream version. Closes: bug#720905.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:35:59 +0200

cfitsio3 (3.310-1) experimental; urgency=low

  * New upstream version.
  * Compress .deb with xz.
  * Update symbols file.
  * Use cc as the compiler instead of gcc.
  * Upgrade Standard-Version to 3.9.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Nov 2012 14:46:02 +0100

cfitsio3 (3.300-2) unstable; urgency=low

  * Fix undefined off_t on mips and mipsel when buildig with -std=c99. 
    Closes: bug#671835.
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 13:25:31 +0200

cfitsio3 (3.300-1) unstable; urgency=low

  * New upstream version:
    - Refresh patches.
    - Update symbols file.
  * Upgrade Standard-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 18:47:57 +0200

cfitsio3 (3.290-1) unstable; urgency=low

  * New upstream version: 
    - Refresh patches.
    - Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Dec 2011 22:01:57 +0100

cfitsio3 (3.280-2) unstable; urgency=low

  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libcfitsio3 and set it 
      Multi-Arch: same.
    - Install the library in the multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jun 2011 07:35:13 +0200

cfitsio3 (3.280-1) unstable; urgency=low

  * New upstream version. 
  * Upgrade Standard-Version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 19:19:55 +0200

cfitsio3 (3.260-1) unstable; urgency=low

  * New upstream version.  Closes: #615612.
  * Use system zlib instead of embedded copy.  Closes: #613383.
  * Use system cfortran header instead of embedded copy.  Closes: #613379. 
  * Add zlib and cfortran licenses to debian/copyright, even if these 
    files are not used to build the package.  Closes: #613384.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 12:18:46 +0100

cfitsio3 (3.250-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * Upgrade Standard-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Dec 2010 16:59:33 +0100

cfitsio3 (3.240-1) unstable; urgency=low

  * New upstream version:
    - drop 05-sh4.diff (merged upstream).
  * Upgrade Standard-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Feb 2010 23:26:30 +0100

cfitsio3 (3.230-2) unstable; urgency=low

  * Add 05-sh4.diff to series.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jan 2010 06:36:54 +0100

cfitsio3 (3.230-1) unstable; urgency=low

  * New upstream version.
  * Add {misc:Depends} to all packages.
  * Add 05-sh4.patch from Nobuhiro Iwamatsu.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Jan 2010 22:48:41 +0100

cfitsio3 (3.210-3) unstable; urgency=low

  * Link the shared library with pthread. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 00:46:25 +0100

cfitsio3 (3.210-2) unstable; urgency=low

  * 04-pthread-mutex.patch: new patch to fix build on non-Linux 
    architectures.


