=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f fitscopy imcopy
	rm -f testprog.fit
	rm -rf docs/cfitsio docs/fitsio docs/quick

override_dh_auto_configure:
	dh_auto_configure -- --enable-reentrant

override_dh_auto_build-arch:
	dh_auto_build -- shared
	dh_auto_build -- fitscopy fpack funpack imcopy testprog

override_dh_auto_build-indep:
	# docs/cfitsio.tex
	mkdir -p $(CURDIR)/docs/cfitsio
	hevea -fix -o $(CURDIR)/docs/cfitsio/cfitsio docs/cfitsio.tex
	cd $(CURDIR)/docs/cfitsio && hacha cfitsio && rm -f cfitsio *.haux *.htoc *.hind

	# docs/fitsio.tex
	mkdir -p $(CURDIR)/docs/fitsio
	hevea -fix -o $(CURDIR)/docs/fitsio/fitsio docs/fitsio.tex
	cd $(CURDIR)/docs/fitsio && hacha fitsio && rm -f fitsio *.haux *.htoc *.hind

	# docs/quik.tex
	mkdir -p $(CURDIR)/docs/quick
	hevea -fix -o $(CURDIR)/docs/quick/quick docs/quick.tex
	cd $(CURDIR)/docs/quick && hacha quick && rm -f quick *.haux *.htoc *.hind

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(CURDIR)/testprog
endif

override_dh_auto_install-arch:
	dh_auto_install
	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin

override_dh_strip:
	dh_strip --dbg-package=libcfitsio2-dbg
