## cfitsio 3.380

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,21 +6,31 @@
 OPTION (USE_PTHREADS "Thread-safe build (using pthreads)" OFF)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
+set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 36)
+SET(${PROJECT_NAME}_MINOR_VERSION 38)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
+SET(LIB_NAME cfitsio)
 
-IF(WIN32)
-    SET(LIB_NAME cfitsio)
-ELSE()
-    SET(LIB_NAME libcfitsio)
+# Microsoft Visual Studio:
+IF(MSVC OR BORLAND)
+    # Define
+    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
+    # Need an empty unistd.h in MSVC for flex-generated eval_l.c:
+    FILE(WRITE ${CMAKE_SOURCE_DIR}/unistd.h "")
+    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
 ENDIF()
 
-# Define
-IF(MSVC)
-    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
+IF(BORLAND)
+    # Suppress spurious Borland compiler warnings about "Suspicious
+    # pointer arithmetic", "Possibly incorrect assignment", and
+    # "Comparing signed and unsigned values".
+    ADD_DEFINITIONS(-w-spa)
+    ADD_DEFINITIONS(-w-pia)
+    ADD_DEFINITIONS(-w-csu)
 ENDIF()
 
 #add_subdirectory (src)
@@ -37,6 +47,13 @@
     FIND_PACKAGE(pthreads REQUIRED)
     INCLUDE_DIRECTORIES(${PTHREADS_INCLUDE_DIR})
     ADD_DEFINITIONS(-D_REENTRANT)
+ENDIF()
+
+# Math library (not available in MSVC)
+IF (NOT MSVC)
+    FIND_LIBRARY(M_LIB m)
+ELSE()
+    SET(M_LIB "")
 ENDIF()
 
 SET(SRC_FILES
@@ -58,19 +75,20 @@
 )
 
 ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
-TARGET_LINK_LIBRARIES(${LIB_NAME}
-    ${PTHREADS_LIBRARY}
-)
+TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB})
 
-SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES
-    VERSION ${PROJECT_NAME}_VERSION
-)
+SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR_VERSION})
+install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})
+install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
 ENABLE_TESTING()
 
 ADD_EXECUTABLE(TestProg testprog.c)
 TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
 ADD_TEST(TestProg TestProg)
+# Copy testprog.tpt to build directory to allow quick test
+# of ./TestProg (or .\Release\TestProg.exe in MSVC):
+FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
 ADD_EXECUTABLE(cookbook cookbook.c)
 TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
@@ -82,6 +100,9 @@
 ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
 TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
 
+ADD_EXECUTABLE(Fitscopy fitscopy.c)
+TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+
 # To expands the command line arguments in Windows, see:
 # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
 if(MSVC)
