=== debian/changelog ===
cfitsio (3.380-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 26 Feb 2016 18:24:42 +0100

cfitsio (3.380-1) experimental; urgency=medium

  * New upstream version:
    - drop patches/01-pthread-mutex.patch.
    - drop patches/04-buildflags.diff.
    - refresh patches/05-system-zlib.patch.
    - drop patches/06-fpack-funpack-dynamic-link.diff.
    - drop patches/07-testprog-static-link.diff.
    - drop debian/patches/09-memcpy-overlap.diff.
    - add debian/patches/01-LDFLAGS.diff to correctly handle LDFLAGS.
  * Rename libcfitsio2 into libcfitsio4.
  * Rename libcfitsio2-dbg into libcfitsio4-dbg.
  * debian/fpack.1, debian/funpack.1: fix a spelling error reported by
    lintian.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Feb 2016 15:54:24 +0100
