=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 
-Package: libcfitsio2
+Package: libcfitsio4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -22,12 +22,12 @@
  This package contains what you need to run programs that use this
  library.
 
-Package: libcfitsio2-dbg
+Package: libcfitsio4-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
 Description: library for I/O with FITS format data files (debugging symbols)
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
@@ -43,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
