=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
 	dh $@ --parallel --with autoreconf
@@ -34,7 +36,7 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$(CURDIR)/testprog
+	LD_LIBRARY_PATH=$(CURDIR) $(CURDIR)/testprog
 endif
 
 override_dh_auto_install-arch:
@@ -43,4 +45,4 @@
 	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin
 
 override_dh_strip:
-	dh_strip --dbg-package=libcfitsio2-dbg
+	dh_strip --dbg-package=libcfitsio4-dbg
