## cfitsio 3.390

=== debian/changelog ===
cfitsio (3.390-2) unstable; urgency=medium

  * Add a debian/upstream/metadata file, provided by Ole Streicher (Closes:
    #816551).
  * Drop the libcfitsio3-dev transitional package.
  * Set the "Maintainer" field to Debian Astronomy Maintainers
    <debian-astro-maintainers@lists.alioth.debian.org>, move myself to
    the "Uploaders" field.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 20 Oct 2016 23:47:32 +0200

cfitsio (3.390-1) experimental; urgency=medium

  * New upstream version (Closes: #840473).
    - Rebase 01-LDFLAGS.diff.
  * Rename libcfitsio4 into libcfitsio5.
  * Drop libcfitsio4-dbg, replaced by the automatic dbgsym package. 
  * Upgrade Standard-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 15 Oct 2016 11:36:42 +0000
