=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: cfitsio
 Section: devel
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
 Build-Depends-indep: hevea, texlive
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 
-Package: libcfitsio4
+Package: libcfitsio5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -22,28 +23,11 @@
  This package contains what you need to run programs that use this
  library.
 
-Package: libcfitsio4-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
-Description: library for I/O with FITS format data files (debugging symbols)
- FITS (Flexible Image Transport System) is a data format most used in
- astronomy. cfitsio is a library of ANSI C routines for reading and
- writing FITS format data files.  A set of Fortran-callable wrapper
- routines are also included for the convenience of Fortran
- programmers.
- .
- This package provides debugging symbols. It is provided  primarily to 
- provide a backtrace with names in a debugger, this makes it somewhat 
- easier to interpret core dumps.
-
 Package: libcfitsio-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio4 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio5 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
@@ -88,15 +72,3 @@
  in html, postscript and text formats, and contains documentation on
  how to use the library in your programs. It also contains example
  source files that demonstrate the use of CFITSIO.
-
-#
-# Transitional package, can be removed after the Jessie release
-#
-Package: libcfitsio3-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: libcfitsio-dev (>= ${source:Version}), ${misc:Depends}
-Description: Transitional package for libcfitsio-dev
- This is a transitional package for libcfitsio-dev, and can be safely
- removed after the installation is complete.
