=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,3 @@
 	dh_auto_install
 	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
 	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin
-
-override_dh_strip:
-	dh_strip --dbg-package=libcfitsio4-dbg
