## cfitsio 3.410

=== debian/changelog ===
cfitsio (3.410-1) unstable; urgency=medium

  * New upstream version:
    - Rebase 05-system-zlib.patch.
    - Add 04-revert-3.410-abi-breakage.diff to revert an ABI breakage
      introduced in version 3.410.
    - Update symbol file.
  * Update debian/control and debian/copyright to use a https URL.
  * Enable bzip2 support.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Dec 2016 00:14:03 +0100
