=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
 Build-Depends-indep: hevea, texlive
 Standards-Version: 3.9.8
-Homepage: http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
+Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 
 Package: libcfitsio5
 Architecture: any
