=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	rm -rf docs/cfitsio docs/fitsio docs/quick
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-reentrant
+	dh_auto_configure -- --enable-reentrant --with-bzip2
 
 override_dh_auto_build-arch:
 	dh_auto_build -- shared
