## cfitsio 3.420

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 38)
+SET(${PROJECT_NAME}_MINOR_VERSION 42)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)
 
@@ -49,11 +49,11 @@
     ADD_DEFINITIONS(-D_REENTRANT)
 ENDIF()
 
-# Math library (not available in MSVC)
-IF (NOT MSVC)
+# Math library (not available in MSVC or MINGW)
+IF (MSVC OR MINGW)
+    SET(M_LIB "")
+ELSE()
     FIND_LIBRARY(M_LIB m)
-ELSE()
-    SET(M_LIB "")
 ENDIF()
 
 SET(SRC_FILES
