=== debian/changelog ===
cfitsio (3.420-3) unstable; urgency=medium

  * Add 07-pkgconfig-no-curl.patch to only add -lcurl to Libs.private.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Sep 2017 22:04:02 +0200

cfitsio (3.420-2) unstable; urgency=medium

  * Tell dh to not run configure and make for arch:all builds.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 17:29:13 +0200

cfitsio (3.420-1) unstable; urgency=medium

  * New upstream version:
    - Update symbols file.
  * Add VCS-Git and VCS-Browser fields to debian/control.
  * Switch to debhelper 10.
  * Drop debian/source/options, xz is now the default.
  * Move arch-specific build-depends to Build-Depends-Arch.
  * Move libcfitsio5 to section libs.
  * Upgrade Standard-Version to 4.1.0.
  * Mark libcfitsio-doc as Multi-Arch: foreign.
  * Add a Build-Depends-Arch on libcurl4-gnutls-dev to enable curl support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 15:35:17 +0200
