=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev, libbz2-dev
-Build-Depends-indep: hevea, texlive
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
+Build-Depends-Indep: hevea, texlive
+Standards-Version: 4.1.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cfitsio.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cfitsio.git
 
 Package: libcfitsio5
 Architecture: any
+Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -31,7 +35,7 @@
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
-Description: library for I/O with FITS format data files (development files) 
+Description: library for I/O with FITS format data files (development files)
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
  writing FITS format data files.  A set of Fortran-callable wrapper
@@ -57,6 +61,7 @@
 Package: libcfitsio-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: libcfitsio-dev
 Replaces: libcfitsio3-doc (<< 3.340-3)
