=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -11,8 +11,11 @@
 	rm -f testprog.fit
 	rm -rf docs/cfitsio docs/fitsio docs/quick
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	dh_auto_configure -- --enable-reentrant --with-bzip2
+
+override_dh_auto_configure-indep:
+	# Nothing to do
 
 override_dh_auto_build-arch:
 	dh_auto_build -- shared
@@ -43,3 +46,6 @@
 	dh_auto_install
 	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
 	install -m 755 fitscopy fpack funpack imcopy $(CURDIR)/debian/tmp/usr/bin
+
+override_dh_auto_install-indep:
+	# Nothing to do
