=== debian/changelog ===
cfitsio (3.430-2) unstable; urgency=medium

  * Add 10-riscv.patch to add support for riscv64.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Apr 2018 21:24:14 +0200

cfitsio (3.430-1) unstable; urgency=medium

  * New upstream version:
    - Fixes unknown vulnerabilities (Closes: #892458).
    - Rebase 07-pkgconfig-no-curl.patch.
  * Update VCS URLs to salsa.debian.org.
  * Rebuild all PDF documentation and ship it instead of the PS version.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Mar 2018 01:02:44 +0100
