=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
-Build-Depends-Indep: hevea, texlive
+Build-Depends-Indep: hevea, latex2html, texlive
 Standards-Version: 4.1.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cfitsio.git
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cfitsio.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
+Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
 
 Package: libcfitsio5
 Architecture: any
