=== debian/rules ===
--- 
+++ 
@@ -22,20 +22,18 @@
 	dh_auto_build -- fitscopy fpack funpack imcopy testprog
 
 override_dh_auto_build-indep:
-	# docs/cfitsio.tex
-	mkdir -p $(CURDIR)/docs/cfitsio
-	hevea -fix -o $(CURDIR)/docs/cfitsio/cfitsio docs/cfitsio.tex
-	cd $(CURDIR)/docs/cfitsio && hacha cfitsio && rm -f cfitsio *.haux *.htoc *.hind
-
-	# docs/fitsio.tex
-	mkdir -p $(CURDIR)/docs/fitsio
-	hevea -fix -o $(CURDIR)/docs/fitsio/fitsio docs/fitsio.tex
-	cd $(CURDIR)/docs/fitsio && hacha fitsio && rm -f fitsio *.haux *.htoc *.hind
-
-	# docs/quik.tex
-	mkdir -p $(CURDIR)/docs/quick
-	hevea -fix -o $(CURDIR)/docs/quick/quick docs/quick.tex
-	cd $(CURDIR)/docs/quick && hacha quick && rm -f quick *.haux *.htoc *.hind
+	for i in cfitsio fitsio quick ; do \
+		mkdir -p $(CURDIR)/docs/$$i ; \
+		hevea -fix -o $(CURDIR)/docs/$$i/$$i $(CURDIR)/docs/$$i.tex ; \
+		cd $(CURDIR)/docs/$$i ; \
+		hacha $$i ; \
+		rm -f $$i *.haux *.htoc *.hind ; \
+		cd $(CURDIR)/docs ; \
+		latex $$i.tex ; \
+		latex $$i.tex ; \
+		latex $$i.tex ; \
+		dvipdf $$i.dvi ; \
+	done
 
 override_dh_auto_test-arch:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
