## cfitsio 3.450

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 43)
+SET(${PROJECT_NAME}_MINOR_VERSION 45)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)
