=== debian/changelog ===
cfitsio (3.450-3) unstable; urgency=medium

  * debian/rules: call hevea with relative paths to avoid capturing the
    build path in the generated documentation. Thanks to Chris Lamb for
    the hint (Closes: #914176).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Nov 2018 00:04:08 +0100

cfitsio (3.450-2) unstable; urgency=medium

  * Upload to unstable.
  * Upgrade Standard-Version to 4.2.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 06 Oct 2018 12:17:19 +0200

cfitsio (3.450-1) experimental; urgency=medium

  * New upstream version:
    - Rename libcfitsio6 into libcfitsio7.
    - Replace part of 05-system-zlib.patch, 06-system-bzip2.patch,
      and 07-pkgconfig-no-curl.patch by 04-pkgconfig-private.patch.
  * Upgrade Standard-Version to 4.1.5 (no changes).
  * Build and run testprog as autopkgtest.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 Jul 2018 23:31:23 +0200

cfitsio (3.440-3) experimental; urgency=medium

  * debian/patches/02-system-cfortran.patch: update to add support for
    newer cfortran versions (Closes: #902009).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 04 Jul 2018 22:22:24 +0200

cfitsio (3.440-2) experimental; urgency=medium

  * debian/copyright: update to add the copyright of fits_hcompress.c and
    fits_hdecompress.c (Closes: #895745).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Apr 2018 22:04:50 +0200

cfitsio (3.440-1) experimental; urgency=medium

  * New upstream version:
    - Fixes unknown vulnerabilities.
    - Rename libcfitsio5 into libcfitsio6.
    - Drop 04-revert-3.410-abi-breakage.diff.
    - Rebase 05-system-zlib.patch.
    - Drop 09-latex-fixes.patch (merged upstream).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Apr 2018 19:54:27 +0200
