=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
+XS-Testsuite: autopkgtest
 
-Package: libcfitsio5
+Package: libcfitsio7
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -31,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio5 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio7 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
