## cfitsio 3.470

=== debian/changelog ===
cfitsio (3.470-3) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 04 Aug 2019 18:30:40 +0200

cfitsio (3.470-2) experimental; urgency=medium

  * Upload to experimental.
  * Add 06-riscv.patch to fix riscv64 support.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 01 Aug 2019 13:18:32 +0200

cfitsio (3.470-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version:
    - Rename libcfitsio7 into libcfitsio8.
    - Refresh 04-pkgconfig-private.patch
    - Rebase 05-system-zlib.patch
    - Drop debian/patches/10-riscv.patch
    - Add 09-drvnet-format-security.diff to fix a format string security
      issue.
  * Upgrade Standard-Version to 4.3.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 29 May 2019 19:56:57 +0200
