=== debian/tests/control ===
Tests: testprog
Depends: build-essential, libcfitsio-dev, pkg-config
