## cfitsio 3.490

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,13 +19,16 @@
 OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)
 OPTION (USE_PTHREADS "Thread-safe build (using pthreads)" OFF)
 
+# Allow curl dependency to be disabled using "-DUseCurl=OFF":
+OPTION(UseCurl "UseCurl" ON)
+
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
 set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR_VERSION 3)
-SET(${PROJECT_NAME}_MINOR_VERSION 45)
+SET(${PROJECT_NAME}_MINOR_VERSION 49)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
 SET(LIB_NAME cfitsio)
 
@@ -90,64 +93,95 @@
     ENDIF ()
 
     # Find curl library, for HTTPS support:
-    FIND_PACKAGE(CURL)
-    IF (CURL_FOUND)
-        INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
-        ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
+    IF (UseCurl)
+        FIND_PACKAGE(CURL)
+        IF (CURL_FOUND)
+            INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
+            ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
+        ENDIF()
     ENDIF()
 ENDIF()
 
 SET(SRC_FILES
-    buffers.c cfileio.c checksum.c drvrfile.c drvrmem.c
-    drvrnet.c drvrsmem.c drvrgsiftp.c editcol.c edithdu.c eval_l.c
-    eval_y.c eval_f.c fitscore.c getcol.c getcolb.c getcold.c getcole.c
-    getcoli.c getcolj.c getcolk.c getcoll.c getcols.c getcolsb.c
-    getcoluk.c getcolui.c getcoluj.c getkey.c group.c grparser.c
-    histo.c iraffits.c
-    modkey.c putcol.c putcolb.c putcold.c putcole.c putcoli.c
-    putcolj.c putcolk.c putcoluk.c putcoll.c putcols.c putcolsb.c
-    putcolu.c putcolui.c putcoluj.c putkey.c region.c scalnull.c
-    swapproc.c wcssub.c wcsutil.c imcompress.c quantize.c ricecomp.c
-    pliocomp.c fits_hcompress.c fits_hdecompress.c zlib/zuncompress.c
-    zlib/zcompress.c zlib/adler32.c zlib/crc32.c zlib/inffast.c
-    zlib/inftrees.c zlib/trees.c zlib/zutil.c zlib/deflate.c
-    zlib/infback.c zlib/inflate.c zlib/uncompr.c simplerng.c
+    buffers.c cfileio.c checksum.c
+    drvrfile.c drvrmem.c drvrnet.c
+    editcol.c edithdu.c eval_f.c eval_l.c eval_y.c
     f77_wrap1.c f77_wrap2.c f77_wrap3.c f77_wrap4.c
+    fits_hcompress.c fits_hdecompress.c fitscore.c
+    getcol.c getcolb.c getcold.c getcole.c getcoli.c getcolj.c getcolk.c
+    getcoll.c getcols.c getcolsb.c getcolui.c getcoluj.c getcoluk.c
+    getkey.c group.c grparser.c histo.c imcompress.c iraffits.c modkey.c
+    pliocomp.c
+    putcol.c putcolb.c putcold.c putcole.c putcoli.c putcolj.c putcolk.c
+    putcoll.c putcols.c putcolsb.c putcolu.c putcolui.c putcoluj.c putcoluk.c
+    putkey.c quantize.c region.c ricecomp.c scalnull.c simplerng.c swapproc.c
+    wcssub.c wcsutil.c zlib/zcompress.c zlib/zuncompress.c
 )
 
+# For future modifications:
+
+# drvrsmem.c is only usable if HAVE_SHMEM_SERVICES is defined:
+#drvrsmem.c
+
+# drvrgsiftp.c is only usable if HAVE_NET_SERVICES & HAVE_GSIFTP are defined:
+#drvrgsiftp.c
+
+# Only include zlib source files if we are building a shared library.
+# Users will need to link their executable with zlib independently.
+IF (BUILD_SHARED_LIBS)
+    set(SRC_FILES ${SRC_FILES}
+        zlib/adler32.c zlib/crc32.c zlib/deflate.c zlib/infback.c
+        zlib/inffast.c zlib/inflate.c zlib/inftrees.c zlib/trees.c
+        zlib/uncompr.c zlib/zutil.c
+        )
+ENDIF()
+
 ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
-TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB} ${CURL_LIBRARIES})
+TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB})
+IF (CURL_FOUND)
+    TARGET_LINK_LIBRARIES(${LIB_NAME} ${CURL_LIBRARIES})
+ENDIF(CURL_FOUND)
 
 SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR_VERSION})
 install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})
+install(TARGETS ${LIB_NAME}
+                            RUNTIME DESTINATION bin
+                            LIBRARY DESTINATION lib
+                            ARCHIVE DESTINATION lib)
 install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
-ENABLE_TESTING()
+# Only build test code and executables if building a shared library:
+IF (BUILD_SHARED_LIBS)
 
-ADD_EXECUTABLE(TestProg testprog.c)
-TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
-ADD_TEST(TestProg TestProg)
-# Copy testprog.tpt to build directory to allow quick test
-# of ./TestProg (or .\Release\TestProg.exe in MSVC):
-FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+    ENABLE_TESTING()
 
-ADD_EXECUTABLE(cookbook cookbook.c)
-TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
-ADD_TEST(cookbook cookbook)
+    ADD_EXECUTABLE(TestProg testprog.c)
+    TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
+    ADD_TEST(TestProg TestProg)
+    # Copy testprog.tpt to build directory to allow quick test
+    # of ./TestProg (or .\Release\TestProg.exe in MSVC):
+    FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
-ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
-TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})
+    ADD_EXECUTABLE(cookbook cookbook.c)
+    TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
+    ADD_TEST(cookbook cookbook)
 
-ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
-TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
+    ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
+    TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})
 
-ADD_EXECUTABLE(Fitscopy fitscopy.c)
-TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+    ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
+    TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
 
-# To expands the command line arguments in Windows, see:
-# http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
-if(MSVC)
-  set_target_properties(FPack Funpack PROPERTIES 
-    LINK_FLAGS "setargv.obj"
-  )
-endif(MSVC)
+    ADD_EXECUTABLE(Fitscopy fitscopy.c)
+    TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+
+    # To expand the command line arguments in Windows, see:
+    # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
+    if(MSVC)
+      set_target_properties(FPack Funpack PROPERTIES LINK_FLAGS "setargv.obj")
+    endif(MSVC)
+
+ENDIF(BUILD_SHARED_LIBS)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc DESTINATION lib/pkgconfig/)
