=== debian/changelog ===
cfitsio (3.490-3) unstable; urgency=medium

  * Fix autopkgtests:
    - Redirect GCC warnings to stdout.
    - Make sure to use the installed header file and not the sources one.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2020 22:24:49 +0200

cfitsio (3.490-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2020 17:23:46 +0200

cfitsio (3.490-1) experimental; urgency=medium

  * New upstream version:
    - Refresh 06-spelling-errors.diff.
    - Refresh 08-hurd.diff.
    - Drop 09-drvnet-format-security.diff.
  * Switch to debhelper 13.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2020 19:15:45 +0200

cfitsio (3.480-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version:
    - Rename libcfitsio8 into libcfitsio9.
    - Refresh 04-pkgconfig-private.patch.
    - Drop debian/patches/06-riscv64.diff.
    - Add 10-latex.diff to fix an issue to build latex documentation.
  * Drop XS-Testsuite entry from debian/control.
  * Add 06-spelling-errors.diff to fix a few spelling errors in library
    messages.
  * Drop debian/libcfitsio-doc.dirs as this is now handled by debhelper.
  * Update 01-LDFLAGS.diff to avoid adding an runpath.
  * Add a watch file.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Jun 2020 12:56:06 +0200

cfitsio (3.470-4) unstable; urgency=medium

  * Switch to debhelper 12.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Fix autopkgtests with recent GCC version, LDFLAGS needs to be last.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Mar 2020 20:46:03 +0200
