=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
-XS-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
-Package: libcfitsio8
+Package: libcfitsio9
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -32,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio8 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio9 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
