=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,9 @@
 
 override_dh_auto_build-indep:
 	for i in cfitsio fitsio quick ; do \
+		cd $(CURDIR) ; \
 		mkdir -p $(CURDIR)/docs/$$i ; \
-		hevea -fix -o $(CURDIR)/docs/$$i/$$i $(CURDIR)/docs/$$i.tex ; \
+		hevea -fix -o docs/$$i/$$i docs/$$i.tex ; \
 		cd $(CURDIR)/docs/$$i ; \
 		hacha $$i ; \
 		rm -f $$i *.haux *.htoc *.hind ; \
